devguard

ActionsId

Update an action.

PUT
/actions/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://app.devguard.ch/api/actions/string/" \  -H "Content-Type: application/json" \  -d '{    "shortId": -9007199254740991,    "name": "string",    "organizationId": "string",    "integrationCredentialId": "string",    "externalTicketConfiguration": null,    "template": "string"  }'
{
  "id": "string",
  "shortId": -9007199254740991,
  "name": "string",
  "organizationId": "string",
  "integrationCredentialId": "string",
  "externalTicketConfiguration": null,
  "scheduleId": "string",
  "template": "string",
  "status": "ACTIVE",
  "createdAt": "string",
  "updatedAt": "string",
  "lastError": "string",
  "lastErrorAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?